core::IPAddress Class Reference

`#include <IPAddress.h>`

Inheritance diagram for core::IPAddress:
[legend]
Collaboration diagram for core::IPAddress:
[legend]

## Public Member Functions

| IPAddress ()
| IPAddress (std::string address)
| IPAddress (std::string address, int port)
| ~IPAddress ()
struct sockaddr * | getPointer ()
std::string | getClientAddress ()
| Get the client network address as xxx.xxx.xxx.xxx. More...
std::string | getClientAddressAndPort ()
| Get the client network address and port as xxx.xxx.xxx.xxx:ppppp. More...
int | getClientPort ()
| Get the client network port number. More...

## Public Attributes

struct sockaddr_in | addr
socklen_t | addressLength
Public Attributes inherited from core::Object
std::string | name
std::string | tag

## Constructor & Destructor Documentation

## IPAddress() [1/3]

core::IPAddress::IPAddress | ( |  | ) |

## IPAddress() [2/3]

core::IPAddress::IPAddress | ( | std::string | address | ) |

## IPAddress() [3/3]

core::IPAddress::IPAddress | ( | std::string | address,
|  | int | port
| ) |  |

## ~IPAddress()

core::IPAddress::~IPAddress | ( |  | ) |

## Member Function Documentation

## getClientAddress()

std::string core::IPAddress::getClientAddress | ( |  | ) |

Get the client network address as xxx.xxx.xxx.xxx.

## getClientAddressAndPort()

std::string core::IPAddress::getClientAddressAndPort | ( |  | ) |

Get the client network address and port as xxx.xxx.xxx.xxx:ppppp.

## getClientPort()

int core::IPAddress::getClientPort | ( |  | ) |

Get the client network port number.

## getPointer()

struct sockaddr * core::IPAddress::getPointer | ( |  | ) |

## Member Data Documentation

## addr

struct sockaddr_in core::IPAddress::addr

## addressLength

socklen_t core::IPAddress::addressLength

The documentation for this class was generated from the following files:

- IPAddress.h
- IPAddress.cpp